"""
Path     addons/source-python/packages/custom/k2tools/__init__.py
Name     Package initialization
Version  1.00.000
Revision $Rev: 27 $
Author   (C) [#OMEGA] - K2


INFO

Parser for the sourcemod authentication files.


AGREEMENT
 
See k2tools_license.txt
"""

# =============================================================================
# >> Imports
# =============================================================================

# K2tools
from . import _log
from . import data # Touch for map-change stuff
from . import pubcvarlib

# =============================================================================
# >> Globals
# =============================================================================

__all__ = []
__version__ = '1.00.000 $Rev: 27 $'
__author__ = '[#OMEGA] - K2'
__date__ = '$Date: 2013-09-12 17:03:16 +0200 (Do, 12 Sep 2013) $'

# =============================================================================
# >> Stuff todo
# =============================================================================

if pubcvarlib.exists('k2tools_ver'):
    pubcvarlib.unregister('k2tools_ver')
pubcvarlib.register('k2tools_ver', __version__)