"""
Path     addons/source-python/packages/custom/k2tools/_log.py
Name     K2Tools Logging
Version  1.00.000
Revision $Rev: 27 $
Author   (C) [#OMEGA] - K2


INFO

Sets up the basic K2Tools logger.


AGREEMENT
 
See k2tools_license.txt
"""

# =============================================================================
# >> Imports
# =============================================================================

# Python
import logging

# =============================================================================
# >> Globals
# =============================================================================

__all__ = []
__version__ = '1.00.000 $Rev: 27 $'
__author__ = '[#OMEGA] - K2'
__date__ = '$Date: 2013-09-12 17:03:16 +0200 (Do, 12 Sep 2013) $'

# =============================================================================
# >> Stuff todo
# =============================================================================

_logger = logging.getLogger('k2tools')
if not _logger.handlers:
    _logger.addHandler(logging.StreamHandler())
_logger.setLevel(logging.INFO)