"""
Path     addons/source-python/packages/custom/k2tools/_shared.py
Name     K2Tools paths
Version  1.00.000
Revision $Rev: 3 $
Author   (C) [#OMEGA] - K2


INFO

K2Tools related paths


AGREEMENT

See k2tools_license.txt
"""

__all__ = ['K2TOOLS_PACKAGE_PATH', 'K2TOOLS_DATA_PATH', 'K2TOOLS_TEMP_PATH',
    'K2TOOLS_CFG_PATH', 'K2TOOLS_CFGSPEC_PATH', 'K2TOOLS_LOG_PATH',
    'K2TOOLS_TRANSLATION_PATH']
__version__ = '1.00.000 $Rev: 3 $'
__author__ = '[#OMEGA] - K2'
__date__ = '$Date$'

# =============================================================================
# >> Imports
# =============================================================================

# Source Python
from paths import CFG_PATH
from paths import CUSTOM_PACKAGES_PATH
from paths import LOG_PATH
from paths import CUSTOM_DATA_PATH
from paths import TRANSLATION_PATH

# =============================================================================
# >> Globals
# =============================================================================

# Paths

K2TOOLS_PACKAGE_PATH = CUSTOM_PACKAGES_PATH.joinpath('k2tools')

K2TOOLS_DATA_PATH = CUSTOM_DATA_PATH.joinpath('k2tools')

K2TOOLS_TEMP_PATH = K2TOOLS_PACKAGE_PATH.joinpath('_temp')

K2TOOLS_CFG_PATH = CFG_PATH.joinpath('k2tools')
K2TOOLS_CFGSPEC_PATH = K2TOOLS_DATA_PATH.joinpath('_spec')

K2TOOLS_LOG_PATH = LOG_PATH.joinpath('k2tools')

# Unneeded atm, but for reference
K2TOOLS_TRANSLATION_PATH = TRANSLATION_PATH.joinpath('k2tools')