"""
Path     addons/source-python/packages/custom/k2tools/_shared.py
Name     Shared Stuff
Version  1.00.000
Revision $Rev: 36 $
Author   (C) [#OMEGA] - K2


INFO

Internal stuff for the k2tools library.


AGREEMENT

See k2tools_license.txt
"""

__all__ = ['cfg', 'lang']
__version__ = '1.00.000 $Rev: 36 $'
__author__ = '[#OMEGA] - K2'
__date__ = '$Date: 2013-09-30 15:48:45 +0200 (Mo, 30 Sep 2013) $'

# =============================================================================
# >> Imports
# =============================================================================

# Source.Python

from core import GAME_NAME
from translations.strings import LangStrings

# k2tools
from . import config
from . import langlib
from ._paths import *

# =============================================================================
# >> Globals
# =============================================================================

cfg = config.load(
    K2TOOLS_DATA_PATH.joinpath('games', GAME_NAME + '.ini'), 
    K2TOOLS_CFGSPEC_PATH.joinpath('games-configspec.ini'))
    
lang = LangStrings('k2tools/k2tools')

