"""
Path     addons/source-python/packages/custom/k2tools/popup/__init__.py
Name     Popup Package Initialization 
Version  1.00.000
Revision $Rev: 32 $
Author   (C) [#OMEGA] - K2


INFO

Package Initialization.


AGREEMENT
 
See k2tools_license.txt
"""

# =============================================================================
# >> Imports
# =============================================================================

# Import so it works when the package is loaded
from . import manager
from . import options
# Need to set this properly in options and manager
from .popups import Popup, PopupList, PopupMenu

# =============================================================================
# >> Script Information
# =============================================================================

__all__ = []
__version__ = '1.00.000 $Rev: 32 $'
__author__ = '[#OMEGA] - K2'
__date__ = '$Date: 2013-09-26 15:45:52 +0200 (Do, 26 Sep 2013) $'

# =============================================================================
# >> Init
# =============================================================================

manager.Popup = Popup
manager.PopupList = PopupList
manager.PopupMenu = PopupMenu
options.Popup = Popup