"""
Path     addons/source-python/plugins/k2tools_test_data/k2tools_test_data.py
Name     Data Test
Version  1.00.000
Revision $Rev: 31 $
Author   (C) [#OMEGA] - K2


INFO

Tests for popup


AGREEMENT
 
See k2tools_license.txt
"""

# =============================================================================
# >> Imports
# =============================================================================

# Python
import random

# K2Tools
import k2tools.cmdlib

#import imp; imp.reload(k2tools.cmdlib)

# =============================================================================
# >> Functions
# =============================================================================

def prehook(av):
    return random.choice([1,2,3]) <= 2


def Test(av):
    print(av)

# =============================================================================
# >> Load & Unload
# =============================================================================

def load():
    k2tools.cmdlib.AdvancedCommandManager.register(
        command='test',
        callback=Test,
        public_say=True,
        public_say_prefix=('@', '!'),
        private_say=True,
        private_say_prefix='/',
        console=True,
        server=True,
        log_pre_exec=True,
        log_post_exec=True,
        log_spam_protect=True,
        pre_hook=prehook,
    )

    
def unload():
    k2tools.cmdlib.AdvancedCommandManager.unregister('test')